problems with solaris 10 (sparc) + lfs and make install

Soporte Infraestructura Operativa y Almacenamiento soopal at ice.go.cr
Fri Nov 12 20:43:26 CET 2010


Hi people:
I have the task to make solaris 10 (sparc and x86) packages of the stable version of Xymon. This since not all our machines have the sfw to compile.
So I started from scratch with a V210 Machine.
My first problem was with the lfs support since by not clear reason always gave me failed.
After dig sometime I found that test-lfs-std gave me a bad number but as far I checked the long and therefore off_t is a 32 bit number. So since test-lfs.c isn't clear for me
I modified the lfs.sh and here post the modification:
------------begin
--- lfs.sh      Fri Nov 12 12:05:27 2010
+++ ../../xymon-4.2.3-org/build/lfs.sh  Thu Aug  3 03:34:33 2006
@@ -1,7 +1,6 @@
        echo "Checking for Large File Support ..."

        cd build
-       OS=`uname -s`
        OS=`uname -s` $MAKE -f Makefile.test-lfs clean
        OS=`uname -s` $MAKE -f Makefile.test-lfs 2>/dev/null
        if [ $? -ne 0 ]; then
@@ -10,21 +9,10 @@
        fi

        STDRES="`./test-lfs-std 4`"
-       case "$OS" in
-       "SunOS")
-               if test "$STDRES" != "4:1:32" -a "$STDRES" != "8:1:0"; then
-                        echo "ERROR: LFS support check failed for standard file
-support"
-                       exit 1
-               fi
-               ;;
-       *)
-               if test "$STDRES" != "4:1:0" -a "$STDRES" != "8:1:0"; then
-                       echo "ERROR: LFS support check failed for standard file support"
-                       exit 1
-               fi
-               ;;
-       esac
+       if test "$STDRES" != "4:1:0" -a "$STDRES" != "8:1:0"; then
+               echo "ERROR: LFS support check failed for standard file support"
+               exit 1
+       fi

        LFSRES="`./test-lfs-lfs 8`"
        if test "$LFSRES" != "8:1:0"; then
----end here
After that all stuff got compiled fine.
But my problem araises with make / gmake install; since it gave me:

cd etcfiles; (echo "bb-hosts"; echo "hobbit-alerts.cfg"; echo "hobbit-clients.cfg"; echo "bbcombotest.cfg"; echo "client-local.cfg") | ../../build/setup-newfiles /trabajo/monitor/server/etc/
ld.so.1: setup-newfiles: fatal: libssl.so.1.0.0: open failed: No such file or directory
Killed
gmake[1]: *** [install-cfg] Error 137
gmake[1]: Leaving directory `/trabajo/tmp/xymon-4.2.3/hobbitd'
gmake: *** [install-hobbitd] Error 2

So far the libssl lib really exist and was detected by configure script.
the ldd prints
ldd build/setup-newfiles
        libssl.so.1.0.0 =>       (file not found)
        libcrypto.so.1.0.0 =>    (file not found)
        libresolv.so.2 =>        /lib/libresolv.so.2
        libsocket.so.1 =>        /lib/libsocket.so.1
        libnsl.so.1 =>   /lib/libnsl.so.1
        librt.so.1 =>    /lib/librt.so.1
        libc.so.1 =>     /lib/libc.so.1
        libmp.so.2 =>    /lib/libmp.so.2
        libmd.so.1 =>    /lib/libmd.so.1
        libscf.so.1 =>   /lib/libscf.so.1
        libaio.so.1 =>   /lib/libaio.so.1
        libdoor.so.1 =>  /lib/libdoor.so.1
        libuutil.so.1 =>         /lib/libuutil.so.1
        libgen.so.1 =>   /lib/libgen.so.1
        libm.so.2 =>     /lib/libm.so.2
        /platform/SUNW,Sun-Fire-V210/lib/libc_psr.so.1
        /platform/SUNW,Sun-Fire-V210/lib/libmd_psr.so.1

I believe that modify compile proccess of setup-newfiles to detect the libbssl as currently works for the rest of the sfw could be the best way.

But by now I resolved the issue specifying where the ssl lib is located via crle
crle -l /lib:/usr/lib:/opt/sfw/lib:/usr/local/lib:/usr/local/ssl/lib:

So
ldd build/setup-newfiles
        libssl.so.1.0.0 =>       /usr/local/ssl/lib/libssl.so.1.0.0
        libcrypto.so.1.0.0 =>    /usr/local/ssl/lib/libcrypto.so.1.0.0
        libresolv.so.2 =>        /lib/libresolv.so.2
        libsocket.so.1 =>        /lib/libsocket.so.1
        libnsl.so.1 =>   /lib/libnsl.so.1
        librt.so.1 =>    /lib/librt.so.1
        libc.so.1 =>     /lib/libc.so.1
        libdl.so.1 =>    /lib/libdl.so.1
        libgcc_s.so.1 =>         /usr/local/lib/libgcc_s.so.1
        libmp.so.2 =>    /lib/libmp.so.2
        libmd.so.1 =>    /lib/libmd.so.1
        libscf.so.1 =>   /lib/libscf.so.1
        libaio.so.1 =>   /lib/libaio.so.1
        libdoor.so.1 =>  /lib/libdoor.so.1
        libuutil.so.1 =>         /lib/libuutil.so.1
        libgen.so.1 =>   /lib/libgen.so.1
        libm.so.2 =>     /lib/libm.so.2
        /platform/SUNW,Sun-Fire-V210/lib/libc_psr.so.1
        /platform/SUNW,Sun-Fire-V210/lib/libmd_psr.so.1

And gmake / make install worked fine.


PD: Please accept my apologies if this post should go to another list. If that the case please forward to it and feedback to me.

Thanks!

---Atte. Randall Badilla



Este mensaje de correo electrónico, incluidos los archivos adjuntos, es para el uso exclusivo de la persona a la que se ha enviado, y puede contener información que sea confidencial o protegida legalmente. Si usted no es el destinatario, o ha recibido este mensaje por error, no está autorizado a copiar, distribuir, o utilizar de alguna manera este mensaje. Por favor notifique inmediatamente al remitente por correo electrónico y suprimir permanentemente este mensaje y los archivos adjuntos. No se otorga ninguna garantía de que este e-mail esté libre de errores o virus.
INSTITUTO COSTARRICENSE DE ELECTRICIDAD


More information about the Xymon mailing list